[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ITP: pgplot-perl -- PGPLOT Perl module

Hello Carlo

> On Thu, 6 Sep 2007, Gunnar Wolf wrote:
>> (added debian-perl@lists.debian.org to the Cc:s)
>> Gürkan Sengün dijo [Thu, Sep 06, 2007 at 11:36:41AM +0200]:
>>> Package: wnpp
>>> Severity: wishlist
>>> * Package name    : pgplot-perl
>> Please use libpgplot-perl, following the current policy for Perl
>> packages.
>> Consider working this together with the pkg-perl group (then again, we
>> might have to discuss this in the group - Group, are you interested in
>> maintaining non-free packages? ;-) )
> I have no objection to working on this, being the maintainer of pgplot5. The 
> problem is that there is a bug filed against pgplot5 because it doesn't 
> properly support libpgplot-perl (pgplot-perl or formerly pgperl) [0].  I have 
> not had any time to figure this out for the past 8 months unfortunately.  
> Part of the problem is that pgplot5 has a very complex build system and I 
> inherited it from an MIA maintainer (silly me...).

Hm, the version I used worked just fine for the astronomy physics user I have built
it for. Maybe it was fixed in a later version (2.20)? Could you check it from here:

I guess i'll have to move it into non-free and rename it to libpgplot-perl for
Debian inclusion... but first I need to find a sponsor (maybe the perl debian group)

> Carlo
> [0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=407462


Reply to: